Bug 969458 - agetty: can't log in after pressing arrows in tty#
agetty: can't log in after pressing arrows in tty#
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
: 960873 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 09:06 EDT by Vojtěch Boček
Modified: 2015-01-15 10:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-15 10:15:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (2.92 KB, image/png)
2013-05-31 10:18 EDT, Kamil Páral
no flags Details

  None (edit)
Description Vojtěch Boček 2013-05-31 09:06:37 EDT
Description of problem:
In tty1, after pressing arrow key, system will not log me in even when I enter correct credentials - I guess arrow's escape sequences is appended.

Version-Release number of selected component (if applicable):
Fedora 19
util-linux-2.23.1-1.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Switch to tty2 (ctrl+alt+f2)
2. Press one of the arrow keys
3. Try to log in

Actual results:
Login fails.

Expected results:
Login should work as expected even when I use arrow keys, or arrow keys should be disabled.
Comment 1 Kamil Páral 2013-05-31 10:18:08 EDT
Created attachment 755305 [details]
screenshot

Funnily enough, pressing arrow keys moves the cursor over the login screen. But even if you return back to the original position and write the user name, it is not correctly recognized.
Comment 2 Karel Zak 2013-06-03 08:09:59 EDT
Thanks. 

Fixed in the upstream repository by commit b8b8e76806387f4a8f1b8913159d690258a43c86. Fedora package will be updated ASAP.
Comment 3 Karel Zak 2013-07-29 13:14:11 EDT
*** Bug 960873 has been marked as a duplicate of this bug. ***
Comment 4 Fedora Update System 2013-07-31 09:30:18 EDT
util-linux-2.23.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/util-linux-2.23.2-1.fc19
Comment 5 Fedora Update System 2013-08-01 23:33:15 EDT
Package util-linux-2.23.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.23.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13967/util-linux-2.23.2-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-10 05:52:27 EDT
util-linux-2.23.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/util-linux-2.23.2-4.fc19
Comment 7 Vadim Raskhozhev 2013-09-12 08:38:01 EDT
> util-linux-2.23.2-4.fc19

Works for me now.
Comment 8 Fedora End Of Life 2015-01-09 17:39:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.